# ember-resources-bugreport

## Installation

* `git clone <repository-url>` this repository
* `cd ember-resources-bugreport`
* `npm install`

## Running 

> Note: There are more steps under the long stack traces!

1. `ember server --environment=development`
1. Visit your app at [http://localhost:4200](http://localhost:4200).
1. In Edge (Version 92.0.902.55) I'm randomly getting:
```
lazy_load.js:75 Uncaught RangeError: Maximum call stack size exceeded.
    at runLoadHooks (lazy_load.js:75)
    at Module.callback (index.js:520)
    at Module.exports (loader.js:106)
    at requireModule (loader.js:27)
    at r (loader.js:176)
    at get (index.js:10)
    at get (index.js:41)
    at <anonymous>:9649:7
    at runLoadHooks (lazy_load.js:75)
    at Module.callback (index.js:520)
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
Show 170 more frames
lazy_load.js:75 Uncaught RangeError: Maximum call stack size exceeded.
    at runLoadHooks (lazy_load.js:75)
    at Module.callback (index.js:607)
    at Module.exports (loader.js:106)
    at requireModule (loader.js:27)
    at r (loader.js:176)
    at get (index.js:10)
    at get (index.js:41)
    at <anonymous>:9649:7
    at runLoadHooks (lazy_load.js:75)
    at Module.callback (index.js:520)
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:607
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
runLoadHooks @ lazy_load.js:75
(anonymous) @ index.js:520
Module.exports @ loader.js:106
requireModule @ loader.js:27
r @ loader.js:176
get @ index.js:10
get @ index.js:41
(anonymous) @ VM61641:9649
Show 170 more frames
application.js:717 Uncaught TypeError: Cannot read property '_application' of undefined
    at appStarted (<anonymous>:9601:45)
    at Object.initialize (<anonymous>:9721:11)
    at index.js:136
    at Vertices.each (dag-map.js:231)
    at Vertices.walk (dag-map.js:145)
    at DAG.each (dag-map.js:75)
    at DAG.topsort (dag-map.js:83)
    at App._runInitializer (index.js:151)
    at App.runInstanceInitializers (index.js:134)
    at Class._bootSync (instance.js:111)
appStarted @ VM61641:9601
initialize @ VM61641:9721
(anonymous) @ index.js:136
Vertices.each @ dag-map.js:231
Vertices.walk @ dag-map.js:145
DAG.each @ dag-map.js:75
DAG.topsort @ dag-map.js:83
_runInitializer @ index.js:151
runInstanceInitializers @ index.js:134
_bootSync @ instance.js:111
didBecomeReady @ application.js:700
invoke @ backburner.js:338
flush @ backburner.js:229
flush @ backburner.js:426
_end @ backburner.js:960
end @ backburner.js:710
_run @ backburner.js:1015
run @ backburner.js:754
run @ index.js:116
callback @ application.js:434
index.js:178 Uncaught Error: Assertion Failed: The initializer 'ember-inspector-booted' has already been registered
    at assert (index.js:178)
    at Function.initializer (index.js:420)
    at onApplicationStart (<anonymous>:9703:23)
    at <anonymous>:9577:7
    at triggerOnce (<anonymous>:9642:7)
    at completed (<anonymous>:9837:7)
assert @ index.js:178
(anonymous) @ index.js:420
onApplicationStart @ VM62315:9703
(anonymous) @ VM62315:9577
triggerOnce @ VM62315:9642
completed @ VM62315:9837
setTimeout (async)
onReady @ VM62315:9827
onEmberReady @ VM62315:9656
(anonymous) @ VM62315:9553
(anonymous) @ VM62315:9895
(anonymous) @ VM62315:9897
```
1. Firefox (92.0a1 (2021-07-28)) I'm getting:
```
DEBUG: ------------------------------- index.js:198
DEBUG: Ember      : 3.27.5 index.js:198
DEBUG: Ember Data : 3.27.1 index.js:198
DEBUG: ------------------------------- index.js:198
Error while processing route: index decorator is not a function _applyDecoratedDescriptor/desc<@http://localhost:4200/assets/ember-resources-bugreport.js:582:412
_applyDecoratedDescriptor@http://localhost:4200/assets/ember-resources-bugreport.js:582:369
@http://localhost:4200/assets/ember-resources-bugreport.js:627:7
Module.prototype.exports@http://localhost:4200/assets/vendor.js:118:32
Module.prototype._reify@http://localhost:4200/assets/vendor.js:155:59
Module.prototype.reify@http://localhost:4200/assets/vendor.js:142:27
Module.prototype.exports@http://localhost:4200/assets/vendor.js:116:10
requireModule@http://localhost:4200/assets/vendor.js:39:18
_extractDefaultExport@http://localhost:4200/assets/vendor.js:99638:27
resolveOther@http://localhost:4200/assets/vendor.js:99300:32
resolve@http://localhost:4200/assets/vendor.js:99361:25
resolve@http://localhost:4200/assets/vendor.js:1838:36
resolve@http://localhost:4200/assets/vendor.js:1449:28
resolve@http://localhost:4200/assets/vendor.js:1452:33
has@http://localhost:4200/assets/vendor.js:1855:21
has@http://localhost:4200/assets/vendor.js:1546:14
proto.validateInjections@http://localhost:4200/assets/vendor.js:1818:25
create@http://localhost:4200/assets/vendor.js:1256:35
create@http://localhost:4200/assets/vendor.js:977:20
instantiateFactory@http://localhost:4200/assets/vendor.js:1078:71
lookup@http://localhost:4200/assets/vendor.js:1006:12
lookup@http://localhost:4200/assets/vendor.js:871:14
lookup@http://localhost:4200/assets/vendor.js:27062:33
._qp<@http://localhost:4200/assets/vendor.js:21443:30
get/<@http://localhost:4200/assets/vendor.js:14419:25
untrack@http://localhost:4200/assets/vendor.js:58947:14
get@http://localhost:4200/assets/vendor.js:14418:32
getter@http://localhost:4200/assets/vendor.js:13508:25
getPossibleMandatoryProxyValue@http://localhost:4200/assets/vendor.js:13809:9
_getProp@http://localhost:4200/assets/vendor.js:13874:17
get@http://localhost:4200/assets/vendor.js:13860:55
_getQPMeta@http://localhost:4200/assets/vendor.js:22711:38
_queryParamsFor@http://localhost:4200/assets/vendor.js:22744:23
forEachQueryParam@http://localhost:4200/assets/vendor.js:23397:26
_deserializeQueryParams@http://localhost:4200/assets/vendor.js:22574:24
getFullQueryParams@http://localhost:4200/assets/vendor.js:21147:12
getQueryParamsFor@http://localhost:4200/assets/vendor.js:21160:45
paramsFor@http://localhost:4200/assets/vendor.js:19636:42
_paramsFor@http://localhost:4200/assets/vendor.js:21809:23
deserialize@http://localhost:4200/assets/vendor.js:20480:30
getModel@http://localhost:4200/assets/vendor.js:65605:24
resolve/<@http://localhost:4200/assets/vendor.js:65406:113
invokeCallback@http://localhost:4200/assets/vendor.js:67460:17
publish@http://localhost:4200/assets/vendor.js:67443:23
@http://localhost:4200/assets/vendor.js:61774:62
invoke@http://localhost:4200/assets/vendor.js:59977:16
flush@http://localhost:4200/assets/vendor.js:59868:19
flush@http://localhost:4200/assets/vendor.js:60065:21
_end@http://localhost:4200/assets/vendor.js:60599:34
end@http://localhost:4200/assets/vendor.js:60349:12
_run@http://localhost:4200/assets/vendor.js:60654:16
run@http://localhost:4200/assets/vendor.js:60393:19
run@http://localhost:4200/assets/vendor.js:41970:24
callback@http://localhost:4200/assets/vendor.js:34907:28
router.js:1280
    Ember 4
    trigger router_js.js:486
    transitionDidError Ember
    promise router_js.js:283
    invokeCallback rsvp.js:493
    publish rsvp.js:476
    publishRejection rsvp.js:412
    <anonymous> Ember
    invoke backburner.js:338
    flush backburner.js:229
    flush backburner.js:426
    _end backburner.js:960
    end backburner.js:710
    _run backburner.js:1015
    run backburner.js:754
    Ember 2
Uncaught TypeError: decorator is not a function
    Ember 3
    exports loader.js:106
    _reify loader.js:143
    reify loader.js:130
    exports loader.js:104
    requireModule loader.js:27
    Ember 17
    untrack validator.js:836
    Ember 14
    getModel router_js.js:912
    resolve router_js.js:713
    invokeCallback rsvp.js:493
    publish rsvp.js:476
    <anonymous> Ember
    invoke backburner.js:338
    flush backburner.js:229
    flush backburner.js:426
    _end backburner.js:960
    end backburner.js:710
    _run backburner.js:1015
    run backburner.js:754
    Ember 2
company.js:15
```
1. In Safari I'm getting:
```
Error while processing route: index – "decorator is not a function. (In 'decorator(target, property, desc)', 'decorator' is undefined)"
"http://localhost:4200/assets/ember-resources-bugreport.js:582:421
reduce@[native code]
_applyDecoratedDescriptor@http://localhost:4200/assets/ember-resources-bugreport.js:582:375
http://localhost:4200/assets/ember-resources-bugreport.js:627:32
http://localhost:4200/assets/vendor.js:118:37
http://localhost:4200/assets/vendor.js:155:66
http://localhost:4200/assets/vendor.js:142:33
http://localhost:4200/assets/vendor.js:116:15
requireModule@http://localhost:4200/assets/vendor.js:39:25
_extractDefaultExport@http://localhost:4200/assets/vendor.js:99638:27
resolveOther@http://localhost:4200/assets/vendor.js:99300:53
resolve@http://localhost:4200/assets/vendor.js:99361:37
resolve@http://localhost:4200/assets/vendor.js:1838:43
resolve@http://localhost:4200/assets/vendor.js:1449:28
resolve@http://localhost:4200/assets/vendor.js:1452:40
has@http://localhost:4200/assets/vendor.js:1855:28
http://localhost:4200/assets/vendor.js:1818:28
create@http://localhost:4200/assets/vendor.js:1256:53
instantiateFactory@http://localhost:4200/assets/vendor.js:1078:77
http://localhost:4200/assets/vendor.js:21443:36
http://localhost:4200/assets/vendor.js:14419:29
untrack@http://localhost:4200/assets/vendor.js:58947:22
get@http://localhost:4200/assets/vendor.js:14418:32
getPossibleMandatoryProxyValue@http://localhost:4200/assets/vendor.js:13809:19
_getProp@http://localhost:4200/assets/vendor.js:13874:47
_queryParamsFor@http://localhost:4200/assets/vendor.js:22744:33
forEachQueryParam@http://localhost:4200/assets/vendor.js:23397:41
_deserializeQueryParams@http://localhost:4200/assets/vendor.js:22574:24
getFullQueryParams@http://localhost:4200/assets/vendor.js:21147:35
getQueryParamsFor@http://localhost:4200/assets/vendor.js:21160:45
paramsFor@http://localhost:4200/assets/vendor.js:19636:42
deserialize@http://localhost:4200/assets/vendor.js:20480:40
getModel@http://localhost:4200/assets/vendor.js:65605:35
invokeCallback@http://localhost:4200/assets/vendor.js:67460:25
publish@http://localhost:4200/assets/vendor.js:67443:23
invoke@http://localhost:4200/assets/vendor.js:59977:20
flush@http://localhost:4200/assets/vendor.js:59868:19
flush@http://localhost:4200/assets/vendor.js:60065:26
_end@http://localhost:4200/assets/vendor.js:60599:39
end@http://localhost:4200/assets/vendor.js:60349:16
_run@http://localhost:4200/assets/vendor.js:60654:19
callback@http://localhost:4200/assets/vendor.js:34907:28"
logError — router.js:1280
error — router.js:1217
triggerEvent — router.js:1380
triggerEvent
trigger — router_js.js:486
transitionDidError — router.js:259
(anonymous function) — router_js.js:283
invokeCallback — rsvp.js:493
publish — rsvp.js:476
publishRejection — rsvp.js:412
invoke — backburner.js:338
flush — backburner.js:229
flush — backburner.js:426
_end — backburner.js:960
end — backburner.js:710
_run — backburner.js:1015
callback — application.js:434
onerrorDefault — rsvp.js:26
```
1. If you comment out the `@cached` under `TODO[comment / uncomment this]` it will **start working** in _Firefox_, but will still randomly fail with the same error in _Edge_.
